/***************************************************************************
 *            gyum_appbar.h
 *
 *  Sun Mar 27 16:50:07 2005
 *  Copyright  2005  Tóth, András
 *  toth_bandi@users.sourceforge.net
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */
 
#ifndef _GYUM_APPBAR_H
#define _GYUM_APPBAR_H

#include <libgnomeui/libgnomeui.h>

#ifdef __cplusplus
extern "C"
{
#endif
	
typedef enum {
	APPBAR_STATUS_ITEM_AVAILABLE,
	APPBAR_STATUS_ITEM_INSTALLED,
	APPBAR_STATUS_ITEM_DISPLAYED,
	APPBAR_STATUS_ITEM_SELECT_INSTALL,
	APPBAR_STATUS_ITEM_SELECT_UPDATE,
	APPBAR_STATUS_ITEM_SELECT_REMOVE,
	APPBAR_STATUS_ITEM_NUM,
	APPBAR_STATUS_ITEM_UNKNOWN=-1
} AppBarStatusItem;

void gyum_appbar_init(GtkWidget *appbar);
void gyum_appbar_progress_begin();
void gyum_appbar_progress_end();
void gyum_appbar_progress_set_fraction(gfloat fraction);
void gyum_appbar_reset_status();
void gyum_appbar_status_increment(AppBarStatusItem status,gint add);
gint gyum_appbar_get_status(AppBarStatusItem status);
void gyum_appbar_display_status();
	
#ifdef __cplusplus
}
#endif

#endif /* _GYUM_APPBAR_H */
