/***************************************************************************
 *            gyum_cache.h
 *
 *  Sun Apr 17 09:25:25 2005
 *  Copyright  2005  András Tóth
 *  toth_bandi@users.sourceforge.net
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */
 
#ifndef _GYUM_CACHE_H
#define _GYUM_CACHE_H

#include <gtk/gtk.h>

#ifdef __cplusplus
extern "C"
{
#endif
	
typedef enum {
	GYUM_CACHE_CLEAN_PACKAGES=1,
	GYUM_CACHE_CLEAN_HEADERS=2,
	GYUM_CACHE_CLEAN_ALL=3
} GyumCacheClean;

void gyum_cache_init(GtkWidget *widget);
void gyum_cache_unload(GtkWidget *window);
void gyum_cache_reinit();
void gyum_cache_fill(const gchar *dirname);
void gyum_cache_pkgs_move(const gchar *destdir);
void gyum_cache_pkgs_remove();
GList *gyum_cache_pkgs_selected();
gchar *gyum_cache_get_current_package();
void gyum_cache_clean(GyumCacheClean clean);
void gyum_cache_cleaner_set_sensitive(gboolean sensitive);

#ifdef __cplusplus
}
#endif

#endif /* _GYUM_CACHE_H */
