#include <libgnomevfs/gnome-vfs.h>

#include "yumrepo.h"
#include "gyum_log.h"
#include "support.h"

static GnomeVFSMonitorHandle *yumlog_vfsmonitor_handle=NULL;

void gyum_yum_log_load(GtkTextView *textview,const gchar *filename)
{
	FILE *file;
	GtkTextBuffer *textbuffer;
	textbuffer=gtk_text_view_get_buffer(textview);
	file=fopen(filename,"r");
	if (file)
	{
		gchar buffer[1024];
		GtkTextIter iter;
		GtkTextMark *mark;
		gtk_text_buffer_set_text(textbuffer,"",0);
		while (!feof(file) && !ferror(file) && fgets(buffer,1024,file))
			gtk_text_buffer_insert_at_cursor(textbuffer,buffer,-1);
		gtk_text_buffer_get_end_iter(textbuffer,&iter);
		mark=gtk_text_buffer_create_mark(textbuffer,NULL,&iter,TRUE);
		gtk_text_view_scroll_mark_onscreen(textview,mark);
		fclose(file);
	}
	else
		gtk_text_buffer_set_text(textbuffer,_("(none)"),-1);
}


void yumlog_vfsmonitor_callback(GnomeVFSMonitorHandle *handle,const gchar *monitor_uri,
		const gchar *info_uri,GnomeVFSMonitorEventType event,GtkTextView *textview)
{
	if (event==GNOME_VFS_MONITOR_EVENT_CHANGED)
	{
		gyum_yum_log_load(textview,yumrepo_get_log_file());
	}
}


void gyum_yum_log_init(GtkWidget *window)
{
	GtkWidget *gyum_yum_log;
	gyum_yum_log=lookup_widget(window,"gyum_yum_log");
	gyum_yum_log_load(GTK_TEXT_VIEW(gyum_yum_log),yumrepo_get_log_file());
	gnome_vfs_monitor_add(&yumlog_vfsmonitor_handle,yumrepo_get_log_file(),
			GNOME_VFS_MONITOR_FILE,(GnomeVFSMonitorCallback)yumlog_vfsmonitor_callback,gyum_yum_log);
}


void gyum_yum_log_unload(GtkWidget *window)
{
	if (yumlog_vfsmonitor_handle)
		gnome_vfs_monitor_cancel(yumlog_vfsmonitor_handle);
}
