/***************************************************************************
 *            gyum_pkglist.h
 *
 *  Wed Mar  9 17:14:14 2005
 *  Copyright  2005  Tóth, András
 *  toth_bandi@users.sourceforge.net
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */
 
#ifndef _GYUM_PKGLIST_H
#define _GYUM_PKGLIST_H

#include <gtk/gtk.h>
#include "yumutils.h"

#ifdef __cplusplus
extern "C"
{
#endif
	
typedef enum {
	PKG_LIST_SEARCH_ALL,
	PKG_LIST_SEARCH_PACKAGE_NAME,
	PKG_LIST_SEARCH_REPOSITORY,
	PKG_LIST_SEARCH_SUMMARY_N_DESCRIPTION,
	PKG_LIST_SEARCH_SELECTIONS_FOR_INSTALL,
	PKG_LIST_SEARCH_SELECTIONS_FOR_UPDATE,
	PKG_LIST_SEARCH_SELECTIONS_FOR_REMOVE
}	PkgListSearch;

typedef enum {
	PKG_LIST_OPERATION_NONE,
	PKG_LIST_OPERATION_INSTALL,
	PKG_LIST_OPERATION_UPDATE,
	PKG_LIST_OPERATION_REMOVE
} PkgListOperation;

void gyum_pkglist_init(GtkWidget *tv);
void gyum_pkglist_free();
void gyum_pkglist_filter(PkgListFilter status,PkgListFilter provider,gboolean invert,gboolean set_default);
void gyum_pkglist_search(PkgListSearch search,const gchar *str);
void gyum_pkglist_check_updates();
void gyum_pkglist_load();
void gyum_pkglist_fill();
void gyum_pkglist_cursor_changed();
void gyum_pkglist_set_operation(PkgListOperation operation);
void gyum_pkglist_set_operation_for_all(PkgListOperation operation);
gchar *gyum_pkglist_make_command(const gchar *extraparams,PkgListOperation operation,gboolean disable_unused_repos);
void gyum_pkglist_command_begin();
void gyum_pkglist_command_end();

void gyum_controllers_set_sensitive(gboolean sensitive);

#ifdef __cplusplus
}
#endif

#endif /* _GYUM_PKGLIST_H */
