/***************************************************************************
 *            gyum_utils.h
 *
 *  Sat Mar 26 09:03:17 2005
 *  Copyright  2005  Tóth, András
 *  toth_bandi@users.sourceforge.net
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */
 
#ifndef _GYUM_UTILS_H
#define _GYUM_UTILS_H

#include <gtk/gtk.h>

#ifdef __cplusplus
extern "C"
{
#endif
	
typedef enum {
	GYUM_TERMINAL_COLOR_BACKGROUND,
	GYUM_TERMINAL_COLOR_FOREGROUND
} GYUMTerminalColor;

typedef void (*GECFunc)(pid_t pid,gint status,gpointer data);

void splash_show();
void splash_hide();

void gyum_create_terminal(GtkWidget *window);
void gyum_terminal_set_color(GYUMTerminalColor which,const GdkColor *color);
void gyum_terminal_set_font(const gchar *fontname);
void gyum_insert_message(const gchar *comment,const gchar *msg);
gboolean gyum_command_execute(const gchar *msg,const gchar *command,gboolean with_terminal,
			GECFunc func,gpointer user_data);
void gyum_terminal_stop();
void gyum_split_filename(const gchar *filename,gchar **pkgname,gchar **version,gchar **release,gchar **arch);

#ifdef __cplusplus
}
#endif

#endif /* _GYUM_UTILS_H */
