/***************************************************************************
 *            yumrepo.h
 *
 *  Tue Mar  1 15:43:30 2005
 *  Copyright  2005  Tóth, András
 *  toth_bandi@users.sourceforge.net
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */
 
#ifndef _YUMREPO_H
#define _YUMREPO_H

#ifdef __cplusplus
extern "C"
{
#endif
	
#include <glib.h>

typedef struct {
	gboolean remove;
	gboolean change;
	gboolean backup;
	gchar *filename;
	// gchar *,gchar *
	GHashTable *vars;
} RepoStruct;

// gchar *,RepoStruct *
// special list item: main => configuration section
GHashTable *yumrepo_load();
void yumrepo_load_text(GHashTable *yumrepo_list,const gchar *text);
gboolean yumrepo_unload(GHashTable *repo_list,gboolean update_disk,gboolean *changed);
RepoStruct *yumrepo_struct_alloc();
gchar *yumrepo_filename(const gchar *id);
void yumrepo_struct_set_id(RepoStruct *rs,const gchar *id);
void yumrepo_struct_set_variable(RepoStruct *rs,const gchar *var,const gchar *val);
void yumrepo_struct_free(RepoStruct *rs);
void yumrepo_struct_copy(RepoStruct *src,RepoStruct *dest);

const gchar *yumrepo_get_cache_root();
const gchar *yumrepo_get_log_file();
const gchar *yumrepo_get_yum_repos_d();

#ifdef __cplusplus
}
#endif

#endif /* _YUMREPO_H */
